#include "../gui/fsgui3dapp.h"

#include "ysgebl_gui_extension.h"


/* static */ PolyCreGuiExtension *PolyCreGuiExtension::Create(void)
{
	return new PolyCreGuiExtension;
}

/* static */ void PolyCreGuiExtension::Delete(PolyCreGuiExtension *ptr)
{
	delete ptr;
}



void PolyCreGuiExtension::AddMenu(class FsGui3DMainCanvas *canvas,class FsGui3DMainMenu *mainMenu)
{
	auto extMenu=mainMenu->AddTextItem(0,FSKEY_X,L"Extension")->GetSubMenu();
	extMenu->AddTextItem(0,FSKEY_S,L"Sample",SampleMenuCallBack,canvas);
}



void PolyCreGuiExtension::OnClearUIMode(void)
{
	// If dialogs from the extension is open, close them here.
}



/* static */ void PolyCreGuiExtension::SampleMenuCallBack(void *appPtr,FsGuiPopUpMenu *,FsGuiPopUpMenuItem *)
{
	FsGui3DMainCanvas &canvas=*(FsGui3DMainCanvas *)appPtr;

	if(NULL!=canvas.slHd)
	{
		YsShellExtEdit &shl=*(YsShellExtEdit *)canvas.slHd;

		YsWString msg(L"Extension Menu Sample\n");

		YsString str;
		YsWString wStr;

		str.Printf("Number of vertices=%d\n",(int)shl.GetNumVertex());
		wStr.SetUTF8String(str);
		msg.Append(wStr);

		str.Printf("Number of polygons=%d\n",(int)shl.GetNumPolygon());
		wStr.SetUTF8String(str);
		msg.Append(wStr);

		msg.Append(L"You can write your own function in gui_extension/ysgebl_gui_extension.cpp.\n");

		canvas.MessageDialog(L"Extension Sample",msg);
	}
}
